cache_control.h File Reference
`#include <stddef.h>`
`#include <stdint.h>`
`#include "hwy/base.h"`

Go to the source code of this file.

## Namespaces

namespace | hwy

## Macros

#define | HWY_DISABLE_CACHE_CONTROL
#define | HWY_STREAM_MULTIPLE 16
#define | HWY_ATTR_CACHE

## Functions

HWY_INLINE HWY_ATTR_CACHE void | hwy::LoadFence ()
HWY_INLINE HWY_ATTR_CACHE void | hwy::FlushStream ()
template<typename T >
HWY_INLINE HWY_ATTR_CACHE void | hwy::Prefetch (const T *p)
HWY_INLINE HWY_ATTR_CACHE void | hwy::FlushCacheline (const void *p)
HWY_INLINE HWY_ATTR_CACHE void | hwy::Pause ()

## Macro Definition Documentation

## HWY_ATTR_CACHE

#define HWY_ATTR_CACHE

## HWY_DISABLE_CACHE_CONTROL

#define HWY_DISABLE_CACHE_CONTROL

## HWY_STREAM_MULTIPLE

#define HWY_STREAM_MULTIPLE 16